# ApplicationFramework
TKPLCAF
PDF

# PDF_Reference Class Reference

`#include <PDF_Reference.hxx>`

Inheritance diagram for PDF_Reference:

[legend]

## Public Member Functions

Standard_EXPORT | PDF_Reference ()
Standard_EXPORT | PDF_Reference (const Handle(PCollection_HAsciiString)&V)
Standard_EXPORT Handle_PCollection_HAsciiString | ReferencedLabel () const
Standard_EXPORT void | ReferencedLabel (const Handle(PCollection_HAsciiString)&V)
| PDF_Reference (const Storage_stCONSTclCOM &a)
| Handle (PCollection_HAsciiString) _CSFDB_GetPDF_ReferencemyValue() const
void | _CSFDB_SetPDF_ReferencemyValue (const Handle(PCollection_HAsciiString)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PCollection_HAsciiString | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PDF_Reference::PDF_Reference | ( |  | ) |

Standard_EXPORT PDF_Reference::PDF_Reference | ( | const Handle(PCollection_HAsciiString)& | V | ) |

PDF_Reference::PDF_Reference | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PDF_Reference::_CSFDB_SetPDF_ReferencemyValue | ( | const Handle(PCollection_HAsciiString)& | p | ) | `[inline]`

Standard_EXPORT const PDF_Reference::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PDF_Attribute.

PDF_Reference::Handle | ( | PCollection_HAsciiString |  | ) | const`[inline]`

Standard_EXPORT void PDF_Reference::ReferencedLabel | ( | const Handle(PCollection_HAsciiString)& | V | ) |

Standard_EXPORT Handle_PCollection_HAsciiString PDF_Reference::ReferencedLabel | ( |  | ) | const

## Field Documentation

Handle_PCollection_HAsciiString PDF_Reference::myValue `[private]`

The documentation for this class was generated from the following file:

- PDF_Reference.hxx